h35080
s 00001/00001/00063
d D 1.8 83/03/07 06:58:09 mjb 8 7
c 
e
s 00011/00012/00053
d D 1.7 83/03/04 13:44:43 mjb 7 6
c 
e
s 00000/00000/00065
d D 1.6 83/03/02 00:12:20 mjb 6 5
c 
e
s 00007/00009/00058
d D 1.5 83/02/28 15:08:56 mjb 5 4
c 
e
s 00001/00001/00066
d D 1.4 83/02/03 20:23:18 mjb 4 3
c fized to include gtattcom
e
s 00013/00010/00054
d D 1.3 83/01/27 18:01:45 mjb 3 2
c fixed various bugs and made interface changes
e
s 00003/00002/00061
d D 1.2 83/01/20 17:04:52 mjb 2 1
c Fixed symbols for all curves by adding else clause and turning
e
s 00063/00000/00000
d D 1.1 83/01/20 11:09:53 tes 1 0
c date and time created 83/01/20 11:09:53 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine crvout (ncurve, ipnts, xdata, ydata)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Output a graph to the current device                   #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
D 5
SHORTINT ipnts
integer ncurve
E 5
I 5
integer ncurve, ipnts
E 5
real xdata(1), ydata(1)

D 3
integer crvtyp, symbol, linsty, filpat, color, numpts
E 3
I 3
D 8
SHORTINT crvtyp
E 8
I 8
integer crvtyp
E 8
D 5
integer symbol, linsty, filpat, color, numpts, type
E 5
I 5
integer symbol, linsty, filpat, color, type
E 5
E 3
real linwid

D 4
include(`gphcom')
E 4
I 4
include(`gattcom')
E 4

   crvtyp = bgcvtp(ncurve)
   linsty = bglnst(ncurve)
   linwid = bglnwd(ncurve) - 1
   linwid = linwid / 10.
   filpat = bgflpt(ncurve)
   color = bgcvcl(ncurve)
I 3
   symbol = bgsymb(ncurve)
E 3
D 5
   numpts = ipnts
E 5
   
I 3
   call linatt (color, linsty, linwid)   
   call symtyp (color, symbol)

E 3
   if (crvtyp == LINE) {
D 3
      symbol = bgsymb(ncurve)
      if (symbol > 0) {
         call symtyp (color, symbol)
	 call linsym (ON)
	 }
I 2
      else call linsym (OFF)
E 2
      call linatt (color, linsty, linwid)   
E 3
I 3
      type = OFF
      if (symbol > 0) type = ON
      call linsym (type)
E 3
D 5
      call lingrf (numpts, xdata, ydata, zstack)
E 5
I 5
D 7
      call lingrf (ipnts, xdata, ydata, zstack)
E 7
I 7
      #call lingrf (ipnts, xdata, ydata, zstack)
      call gpgrln (1, ipnts, xdata, ydata, zstack)
E 7
E 5
      }
D 7
   else if (crvtyp == BAR) {
      call barfil (color, filpat)
D 5
      call bargrf (numpts, xdata, ydata, zstack)
E 5
I 5
      call bargrf (ipnts, xdata, ydata, zstack)
E 5
      }
   else if (crvtyp == STEP) {
D 2
      call barfil (color, filpat)
E 2
I 2
D 3
      call linatt (color, 1, 0.)
E 3
E 2
D 5
      call stpgrf (numpts, xdata, ydata, zstack)
E 5
I 5
      call stpgrf (ipnts, xdata, ydata, zstack)
E 5
      }
   else if (crvtyp == STICK) {
D 2
      call barfil (color, filpat)
E 2
I 2
D 3
      call linatt (color, 1, 0.)
E 3
E 2
D 5
      call stkgrf (numpts, xdata, ydata, zstack)
E 5
I 5
      call stkgrf (ipnts, xdata, ydata, zstack)
E 5
      }
E 7
I 3
   else if (crvtyp == SCATTER) {
D 5
      call pntgrf (numpts, xdata, ydata)
E 5
I 5
D 7
      call pntgrf (ipnts, xdata, ydata)
E 7
I 7
      #call pntgrf (ipnts, xdata, ydata)
      call gpgrln (2, ipnts, xdata, ydata, zstack)
      }
   else if (crvtyp > 0) {
      call barfil (color, filpat)
      #call bargrf (ipnts, xdata, ydata, zstack)
      #call stpgrf (ipnts, xdata, ydata, zstack)
      #call stkgrf (ipnts, xdata, ydata, zstack)
      call gpgrbr (crvtyp+1, ipnts, xdata, ydata, zstack)
E 7
E 5
      }

E 3
   return
end
E 1
